*** ./external/gpc/gpc.h.osr6	Wed Oct 26 20:22:51 2005
--- ./external/gpc/gpc.h	Wed Oct 26 20:22:51 2005
***************
*** 0 ****
--- 1,133 ----
+ /*
+ ===========================================================================
+ 
+ Project:   Generic Polygon Clipper
+ 
+            A new algorithm for calculating the difference, intersection,
+            exclusive-or or union of arbitrary polygon sets.
+ 
+ File:      gpc.h
+ Author:    Alan Murta (email: gpc@cs.man.ac.uk)
+ Version:   2.32
+ Date:      17th December 2004
+ 
+ Copyright: (C) 1997-2004, Advanced Interfaces Group,
+            University of Manchester.
+ 
+            This software is free for non-commercial use. It may be copied,
+            modified, and redistributed provided that this copyright notice
+            is preserved on all copies. The intellectual property rights of
+            the algorithms used reside with the University of Manchester
+            Advanced Interfaces Group.
+ 
+            You may not use this software, in whole or in part, in support
+            of any commercial product without the express consent of the
+            author.
+ 
+            There is no warranty or other guarantee of fitness of this
+            software for any purpose. It is provided solely "as is".
+ 
+ ===========================================================================
+ */
+ 
+ #ifndef __gpc_h
+ #define __gpc_h
+ 
+ #include <stdio.h>
+ 
+ 
+ /*
+ ===========================================================================
+                                Constants
+ ===========================================================================
+ */
+ 
+ /* Increase GPC_EPSILON to encourage merging of near coincident edges    */
+ 
+ #define GPC_EPSILON (DBL_EPSILON)
+ 
+ #define GPC_VERSION "2.32"
+ 
+ 
+ /*
+ ===========================================================================
+                            Public Data Types
+ ===========================================================================
+ */
+ 
+ typedef enum                        /* Set operation type                */
+ {
+   GPC_DIFF,                         /* Difference                        */
+   GPC_INT,                          /* Intersection                      */
+   GPC_XOR,                          /* Exclusive or                      */
+   GPC_UNION                         /* Union                             */
+ } gpc_op;
+ 
+ typedef struct                      /* Polygon vertex structure          */
+ {
+   double              x;            /* Vertex x component                */
+   double              y;            /* vertex y component                */
+ } gpc_vertex;
+ 
+ typedef struct                      /* Vertex list structure             */
+ {
+   int                 num_vertices; /* Number of vertices in list        */
+   gpc_vertex         *vertex;       /* Vertex array pointer              */
+ } gpc_vertex_list;
+ 
+ typedef struct                      /* Polygon set structure             */
+ {
+   int                 num_contours; /* Number of contours in polygon     */
+   int                *hole;         /* Hole / external contour flags     */
+   gpc_vertex_list    *contour;      /* Contour array pointer             */
+ } gpc_polygon;
+ 
+ typedef struct                      /* Tristrip set structure            */
+ {
+   int                 num_strips;   /* Number of tristrips               */
+   gpc_vertex_list    *strip;        /* Tristrip array pointer            */
+ } gpc_tristrip;
+ 
+ 
+ /*
+ ===========================================================================
+                        Public Function Prototypes
+ ===========================================================================
+ */
+ 
+ void gpc_read_polygon        (FILE            *infile_ptr, 
+                               int              read_hole_flags,
+                               gpc_polygon     *polygon);
+ 
+ void gpc_write_polygon       (FILE            *outfile_ptr,
+                               int              write_hole_flags,
+                               gpc_polygon     *polygon);
+ 
+ void gpc_add_contour         (gpc_polygon     *polygon,
+                               gpc_vertex_list *contour,
+                               int              hole);
+ 
+ void gpc_polygon_clip        (gpc_op           set_operation,
+                               gpc_polygon     *subject_polygon,
+                               gpc_polygon     *clip_polygon,
+                               gpc_polygon     *result_polygon);
+ 
+ void gpc_tristrip_clip       (gpc_op           set_operation,
+                               gpc_polygon     *subject_polygon,
+                               gpc_polygon     *clip_polygon,
+                               gpc_tristrip    *result_tristrip);
+ 
+ void gpc_polygon_to_tristrip (gpc_polygon     *polygon,
+                               gpc_tristrip    *tristrip);
+ 
+ void gpc_free_polygon        (gpc_polygon     *polygon);
+ 
+ void gpc_free_tristrip       (gpc_tristrip    *tristrip);
+ 
+ #endif
+ 
+ /*
+ ===========================================================================
+                            End of file: gpc.h
+ ===========================================================================
+ */
*** ./i18npool/prj/build.lst.osr6	Thu Apr 24 04:54:37 2003
--- ./i18npool/prj/build.lst	Wed Oct 26 20:22:51 2005
***************
*** 1,4 ****
! inp  i18npool    :   bridges sax stoc comphelper tools icu i18nutil regexp NULL
  inp  i18npool                                   usr1    -   all inp_mkout NULL
  inp  i18npool\source\unotypes                   nmake   -   all inp_utypes NULL
  inp  i18npool\source\registerservices           nmake   -   all inp_rserv inp_utypes NULL
--- 1,4 ----
! inp  i18npool    :   bridges sax stoc comphelper tools i18nutil regexp NULL
  inp  i18npool                                   usr1    -   all inp_mkout NULL
  inp  i18npool\source\unotypes                   nmake   -   all inp_utypes NULL
  inp  i18npool\source\registerservices           nmake   -   all inp_rserv inp_utypes NULL
*** ./libxmlsec/prj/build.lst.osr6	Tue May  3 07:27:38 2005
--- ./libxmlsec/prj/build.lst	Thu Oct 27 00:49:12 2005
***************
*** 1,3 ****
! ls  libxmlsec   : stlport soltools LIBXML2:libxml2 MOZ:moz SO:moz_prebuilt sal NULL
  ls	libxmlsec			    usr1	-	all	ls_mkout NULL
  ls	libxmlsec			    nmake	-	all	ls_xmlsec1 NULL
--- 1,3 ----
! ls  libxmlsec   : soltools LIBXML2:libxml2 MOZ:moz SO:moz_prebuilt sal NULL
  ls	libxmlsec			    usr1	-	all	ls_mkout NULL
  ls	libxmlsec			    nmake	-	all	ls_xmlsec1 NULL
*** ./nas/makefile.mk.osr6	Wed Oct  5 03:21:44 2005
--- ./nas/makefile.mk	Wed Oct 26 20:22:51 2005
***************
*** 71,81 ****
  
  BUILD_DIR=$(CONFIGURE_DIR)
  BUILD_ACTION=make World
! .IF "$(OS)"!="SOLARIS"
! BUILD_FLAGS=CC="$(CC)" CXX="$(CXX)" -j$(MAXPROCESS)
! .ELSE
! BUILD_FLAGS=CC="$(CC)" CXX="$(CXX)" 
! .ENDIF
  
  OUT2LIB= \
  	lib/audio/libaudio.a
--- 71,77 ----
  
  BUILD_DIR=$(CONFIGURE_DIR)
  BUILD_ACTION=make World
! BUILD_FLAGS=CC="$(CC)" CXX="$(CXX)" MAKE=/usr/gnu/bin/make
  
  OUT2LIB= \
  	lib/audio/libaudio.a
*** ./neon/prj/build.lst.osr6	Thu Feb 24 05:58:56 2005
--- ./neon/prj/build.lst	Wed Oct 26 20:22:51 2005
***************
*** 1,3 ****
! xh      neon  :  soltools external expat LIBXML2:libxml2 NULL
  xh      neon     usr1           -       all     xh_mkout NULL
  xh      neon     nmake          -       all     xh_neon NULL
--- 1,3 ----
! xh      neon  :  soltools external LIBXML2:libxml2 NULL
  xh      neon     usr1           -       all     xh_mkout NULL
  xh      neon     nmake          -       all     xh_neon NULL
*** ./odk/prj/build.lst.osr6	Mon Jan 31 09:21:38 2005
--- ./odk/prj/build.lst	Wed Oct 26 20:22:51 2005
***************
*** 1,4 ****
! od	odk	::	cppuhelper cpputools io jurt jut javaunohelper sandbox remotebridges stoc udkapi ridljar offapi unoil autodoc netbeans_integration NULL
  od	odk					usr1	-	all	od_mkout NULL
  od	odk\source\com\sun\star\lib\loader	nmake	-	all	od_loader NULL
  od	odk\source\unoapploader\win	nmake	-	n	od_unoapploaderwin NULL
--- 1,4 ----
! od	odk	::	cppuhelper cpputools io jurt jut javaunohelper sandbox remotebridges stoc udkapi ridljar offapi unoil netbeans_integration NULL
  od	odk					usr1	-	all	od_mkout NULL
  od	odk\source\com\sun\star\lib\loader	nmake	-	all	od_loader NULL
  od	odk\source\unoapploader\win	nmake	-	n	od_unoapploaderwin NULL
*** ./odk/setsdkenv_unix.csh.in.osr6	Fri Jun 17 02:37:41 2005
--- ./odk/setsdkenv_unix.csh.in	Wed Oct 26 21:14:01 2005
***************
*** 1,4 ****
! #! /usr/bin/csh
  
  # This script sets all enviroment variables, which are necessary for building 
  # the examples of the Office Development Kit.
--- 1,4 ----
! #! /usr/bin/tcsh
  
  # This script sets all enviroment variables, which are necessary for building 
  # the examples of the Office Development Kit.
*** ./pyuno/prj/build.lst.osr6	Fri Feb 11 07:43:55 2005
--- ./pyuno/prj/build.lst	Thu Oct 27 00:02:29 2005
***************
*** 1,4 ****
! pu	pyuno	:	stoc cpputools cppuhelper PYTHON:python NULL
  pu	pyuno				  usr1	-	all	br_mkout NULL
  pu	pyuno\zipcore	nmake	-	all	pu_zipcore NULL
  pu	pyuno\unotypes		nmake	-	all	pu_unotypes NULL
--- 1,4 ----
! pu	pyuno	:	stoc cpputools cppuhelper NULL
  pu	pyuno				  usr1	-	all	br_mkout NULL
  pu	pyuno\zipcore	nmake	-	all	pu_zipcore NULL
  pu	pyuno\unotypes		nmake	-	all	pu_unotypes NULL
*** ./sablot/prj/build.lst.osr6	Wed May 28 06:28:45 2003
--- ./sablot/prj/build.lst	Wed Oct 26 20:22:51 2005
***************
*** 1,3 ****
! xh	sablot	:	expat soltools sal NULL
  xh	sablot		usr1	-	all	xh_mkout NULL
  xh	sablot      nmake	-	all	xh_sablot NULL
--- 1,3 ----
! xh	sablot	:	soltools sal NULL
  xh	sablot		usr1	-	all	xh_mkout NULL
  xh	sablot      nmake	-	all	xh_sablot NULL
*** ./sal/inc/sal/types.h.osr6	Thu Sep  8 07:48:06 2005
--- ./sal/inc/sal/types.h	Wed Oct 26 20:22:52 2005
***************
*** 94,100 ****
  	/*  The following are macros that will add the 64 bit constant suffix. */
  	#define SAL_CONST_INT64(x)       x##i64
  	#define SAL_CONST_UINT64(x)      x##ui64
! #elif defined(__SUNPRO_CC) || defined(__SUNPRO_C) || defined (__GNUC__) || defined(__hpux) || defined (sgi)
  	#if SAL_TYPES_SIZEOFLONGLONG == 8
  		typedef signed long long    sal_Int64;
  		typedef unsigned long long  sal_uInt64;
--- 94,100 ----
  	/*  The following are macros that will add the 64 bit constant suffix. */
  	#define SAL_CONST_INT64(x)       x##i64
  	#define SAL_CONST_UINT64(x)      x##ui64
! #elif defined(__SUNPRO_CC) || defined(__SUNPRO_C) || defined (__GNUC__) || defined(__hpux) || defined (sgi) || defined (__USLC__)
  	#if SAL_TYPES_SIZEOFLONGLONG == 8
  		typedef signed long long    sal_Int64;
  		typedef unsigned long long  sal_uInt64;
*** ./sal/osl/unx/system.h.osr6	Thu Sep  8 08:02:09 2005
--- ./sal/osl/unx/system.h	Wed Oct 26 20:22:52 2005
***************
*** 211,220 ****
  #	include <shadow.h>
  #	include <netdb.h>
  #	include <sys/un.h>
! #	include <sys/netinet/tcp.h>
  #   include <sys/types.h>
  #   include <sys/byteorder.h>
  #   include <dlfcn.h>
  #   if BYTE_ORDER == LITTLE_ENDIAN
  #   	define _LITTLE_ENDIAN
  #   elif BYTE_ORDER == BIG_ENDIAN
--- 211,222 ----
  #	include <shadow.h>
  #	include <netdb.h>
  #	include <sys/un.h>
! #	include <netinet/tcp.h>
  #   include <sys/types.h>
  #   include <sys/byteorder.h>
  #   include <dlfcn.h>
+ #   define  IORESOURCE_TRANSFER_SYSV
+ #   define  IOCHANNEL_TRANSFER_BSD
  #   if BYTE_ORDER == LITTLE_ENDIAN
  #   	define _LITTLE_ENDIAN
  #   elif BYTE_ORDER == BIG_ENDIAN
***************
*** 229,236 ****
  extern int pthread_cancel(pthread_t);
  extern unsigned int nanosleep(unsigned int);
  #	define  SLEEP_TIMESPEC(timespec)  	(timespec .tv_sec > 0) ? sleep(timespec .tv_sec), nanosleep(timespec .tv_nsec) : nanosleep(timespec .tv_nsec)
- #	define  PATH_MAX 					_POSIX_PATH_MAX
- #	define	S_ISSOCK					S_ISFIFO 
  #	define	PTHREAD_SIGACTION 			pthread_sigaction
  #	define	STAT_PARENT					stat
  #endif
--- 231,236 ----
***************
*** 472,477 ****
--- 472,478 ----
  #	define MSG_MAXIOVLEN 	0
  #endif
  
+ #if 0
  /* BEGIN HACK */
  /* dummy define and declarations for IPX should be replaced by */
  /* original ipx headers when these are available for this platform */
***************
*** 486,491 ****
--- 487,493 ----
      char  sa_nodenum[6];
      unsigned short sa_socket;
  } SOCKADDR_IPX;
+ #endif /* 0 */
  
  #define NSPROTO_IPX      1000
  #define NSPROTO_SPX      1256
*** ./sal/osl/unx/process.c.osr6	Thu Sep  8 07:59:02 2005
--- ./sal/osl/unx/process.c	Wed Oct 26 20:22:52 2005
***************
*** 52,57 ****
--- 52,61 ----
  
  #include "system.h"
  
+ #ifdef __USLC__
+ #include <sys/uio.h>
+ #endif
+ 
  #ifndef _OSL_DIAGNOSE_H_
  #include <osl/diagnose.h>
  #endif
*** ./sal/osl/unx/system.c.osr6	Thu Sep  8 08:01:54 2005
--- ./sal/osl/unx/system.c	Wed Oct 26 20:22:52 2005
***************
*** 248,253 ****
--- 248,254 ----
  #include <shadow.h>
  #include <sys/types.h>
  
+ #if 0
  struct spwd *getspnam_r(const char *name, struct spwd* s, char* buffer, int size )
  {
    	struct spwd* res;
***************
*** 341,349 ****
--- 342,353 ----
  
    	return res;
  }
+ #endif /* 0 */
  #endif /* defined SCO */
  
+ #ifndef SCO
  extern int h_errno;
+ #endif /* SCO */
  
  struct hostent *gethostbyname_r(const char *name, struct hostent *result,
  								char *buffer, int buflen, int *h_errnop)
*** ./sal/osl/unx/util.c.osr6	Thu Sep  8 08:03:08 2005
--- ./sal/osl/unx/util.c	Wed Oct 26 20:22:52 2005
***************
*** 42,48 ****
  #include <sys/socket.h>
  #include <net/if.h>
  
! #ifdef SOLARIS
  #include <sys/sockio.h>
  #endif
  
--- 42,48 ----
  #include <sys/socket.h>
  #include <net/if.h>
  
! #if defined (SOLARIS) || defined (__USLC__)
  #include <sys/sockio.h>
  #endif
  
*** ./sal/osl/unx/file.cxx.osr6	Thu Sep  8 07:53:53 2005
--- ./sal/osl/unx/file.cxx	Thu Oct 27 12:37:26 2005
***************
*** 98,104 ****
  #include <string.h>
  #endif
  
! #if defined(SOLARIS)
  #include <sys/mnttab.h>
  #include <sys/statvfs.h>
  #define  HAVE_STATFS_H
--- 98,104 ----
  #include <string.h>
  #endif
  
! #if defined(SOLARIS) || defined(SCO)
  #include <sys/mnttab.h>
  #include <sys/statvfs.h>
  #define  HAVE_STATFS_H
***************
*** 264,270 ****
  static oslFileError   osl_unmountFloppy(oslVolumeDeviceHandle hFloppy);
  
  
! #if defined(SOLARIS)
  static sal_Bool       osl_isFloppyMounted(sal_Char* pszPath, sal_Char* pszMountPath);
  static sal_Bool       osl_getFloppyMountEntry(const sal_Char* pszPath, sal_Char* pBuffer);
  static sal_Bool       osl_checkFloppyPath(sal_Char* pszPath, sal_Char* pszFilePath, sal_Char* pszDevicePath);
--- 264,270 ----
  static oslFileError   osl_unmountFloppy(oslVolumeDeviceHandle hFloppy);
  
  
! #if defined(SOLARIS) || defined(SCO)
  static sal_Bool       osl_isFloppyMounted(sal_Char* pszPath, sal_Char* pszMountPath);
  static sal_Bool       osl_getFloppyMountEntry(const sal_Char* pszPath, sal_Char* pBuffer);
  static sal_Bool       osl_checkFloppyPath(sal_Char* pszPath, sal_Char* pszFilePath, sal_Char* pszDevicePath);
***************
*** 1334,1340 ****
  #	define __OSL_STATFS_IS_CASE_PRESERVING_FS(a) ((__OSL_MSDOS_SUPER_MAGIC != (a).f_type))
  #endif /* LINUX */
  
! #if defined(SOLARIS) || defined(IRIX)
  #   define __OSL_STATFS_STRUCT          		 struct statvfs
  #   define __OSL_STATFS(dir, sfs)	    		 statvfs((dir), (sfs))
  #   define __OSL_STATFS_BLKSIZ(a)       		 ((sal_uInt64)((a).f_frsize))
--- 1334,1340 ----
  #	define __OSL_STATFS_IS_CASE_PRESERVING_FS(a) ((__OSL_MSDOS_SUPER_MAGIC != (a).f_type))
  #endif /* LINUX */
  
! #if defined(SOLARIS) || defined(IRIX) || defined(SCO)
  #   define __OSL_STATFS_STRUCT          		 struct statvfs
  #   define __OSL_STATFS(dir, sfs)	    		 statvfs((dir), (sfs))
  #   define __OSL_STATFS_BLKSIZ(a)       		 ((sal_uInt64)((a).f_frsize))
***************
*** 1346,1352 ****
     of the target platforms fix it!!!! */
  #	define __OSL_STATFS_IS_CASE_SENSITIVE_FS(a)	 (1)
  #	define __OSL_STATFS_IS_CASE_PRESERVING_FS(a) (1)
! #endif /* SOLARIS || IRIX*/
  
  #   define __OSL_STATFS_INIT(a) 	    (memset(&(a), 0, sizeof(__OSL_STATFS_STRUCT)))
  
--- 1346,1352 ----
     of the target platforms fix it!!!! */
  #	define __OSL_STATFS_IS_CASE_SENSITIVE_FS(a)	 (1)
  #	define __OSL_STATFS_IS_CASE_PRESERVING_FS(a) (1)
! #endif /* SOLARIS || IRIX || SCO */
  
  #   define __OSL_STATFS_INIT(a) 	    (memset(&(a), 0, sizeof(__OSL_STATFS_STRUCT)))
  
***************
*** 2340,2359 ****
  
  /******************************************************************************
   *
!  *                  SOLARIS FLOPPY FUNCTIONS
   *
   *****************************************************************************/
  
! #if defined(SOLARIS)
! /* compare a given devicename with the typical device names on a Solaris box */
  static sal_Bool
  osl_isAFloppyDevice (const char* pDeviceName)
  {
      const char* pFloppyDevice [] = { 
          "/dev/fd",           "/dev/rfd", 
          "/dev/diskette",     "/dev/rdiskette", 
          "/vol/dev/diskette", "/vol/dev/rdiskette" 
      };
  
      int i;
      for (i = 0; i < (sizeof(pFloppyDevice)/sizeof(pFloppyDevice[0])); i++)
--- 2340,2368 ----
  
  /******************************************************************************
   *
!  *                  SOLARIS/SCO FLOPPY FUNCTIONS
   *
   *****************************************************************************/
  
! #if defined(SOLARIS) || defined(SCO)
! /* compare a given devicename with the typical device names on a SVR4 box */
  static sal_Bool
  osl_isAFloppyDevice (const char* pDeviceName)
  {
+ #if defined(SOLARIS)
      const char* pFloppyDevice [] = { 
          "/dev/fd",           "/dev/rfd", 
          "/dev/diskette",     "/dev/rdiskette", 
          "/vol/dev/diskette", "/vol/dev/rdiskette" 
      };
+ #endif
+ #if defined(SCO)
+     const char* pFloppyDevice [] = { 
+         "/dev/fd0",           "/dev/rfd0", 
+         "/dev/fd1",           "/dev/rfd1", 
+         "/dev/fd/0",          "/dev/fd/1" 
+     };
+ #endif
  
      int i;
      for (i = 0; i < (sizeof(pFloppyDevice)/sizeof(pFloppyDevice[0])); i++)
***************
*** 2555,2561 ****
      return osl_File_E_BUSY;
  }
  
! #endif /* SOLARIS */
  
  /******************************************************************************
   *
--- 2564,2570 ----
      return osl_File_E_BUSY;
  }
  
! #endif /* SOLARIS || SCO */
  
  /******************************************************************************
   *
*** ./sal/osl/unx/process_impl.cxx.osr6	Thu Sep  8 07:59:24 2005
--- ./sal/osl/unx/process_impl.cxx	Thu Oct 27 12:46:44 2005
***************
*** 141,146 ****
--- 141,151 ----
  
  #elif !defined(NO_DL_FUNCTIONS)
  #include <dlfcn.h>
+ #ifndef RTLD_DEFAULT
+ #if defined(SCO)
+ #define RTLD_DEFAULT RTLD_NEXT
+ #endif
+ #endif
  
  oslProcessError SAL_CALL osl_bootstrap_getExecutableFile_Impl (
  	rtl_uString ** ppFileURL
*** ./sal/prj/build.lst.osr6	Fri Nov 26 06:41:53 2004
--- ./sal/prj/build.lst	Thu Oct 27 00:49:31 2005
***************
*** 1,4 ****
! sa	sal	:	xml2cmp stlport NULL 
  sa	sal										usr1	-	all	sa_mkout NULL
  sa	sal\typesconfig						nmake	-	u	sa_tc NULL
  sa	sal\cpprt								nmake	-	u	sa_cpprt sa_util NULL
--- 1,4 ----
! sa	sal	:	NULL 
  sa	sal										usr1	-	all	sa_mkout NULL
  sa	sal\typesconfig						nmake	-	u	sa_tc NULL
  sa	sal\cpprt								nmake	-	u	sa_cpprt sa_util NULL
*** ./sal/rtl/source/bootstrap.cxx.osr6	Thu Sep  8 09:00:14 2005
--- ./sal/rtl/source/bootstrap.cxx	Wed Oct 26 20:22:52 2005
***************
*** 316,321 ****
--- 316,339 ----
      sal_Bool getValue( rtl_uString * pName, rtl_uString ** ppValue, rtl_uString * pDefault ) const;
  };
  
+ // specialization of user's allocator on void
+ // this mimics the generic allocator specialization
+ // add this after the MyAllocator template declaration
+ // From Judy Ward's post at
+ // http://softwareforums.intel.com/ids/board/message?board.id=16&message.id=749
+ template <>
+ struct MyAllocator
+ {
+ public:
+ typedef void* pointer;
+ typedef const void* const_pointer;
+ // reference-to-void members are impossible
+ typedef void value_type;
+ template
+ struct rebind { typedef MyAllocator other; };
+ };
+ 
+ 
  //----------------------------------------------------------------------------
  
  Bootstrap_Impl::Bootstrap_Impl( OUString const & rIniName )
*** ./sal/rtl/source/macro.hxx.osr6	Thu Sep  8 09:03:00 2005
--- ./sal/rtl/source/macro.hxx	Thu Oct 27 13:16:36 2005
***************
*** 41,46 ****
--- 41,48 ----
  
  #if defined WIN32
  #define THIS_OS "Windows"
+ #elif defined SCO
+ #define THIS_OS "SCO UNIX"
  #elif defined SOLARIS
  #define THIS_OS "Solaris"
  #elif defined LINUX
*** ./sax/prj/build.lst.osr6	Mon Aug 26 09:16:15 2002
--- ./sax/prj/build.lst	Wed Oct 26 20:22:52 2005
***************
*** 1,4 ****
! ax	sax	:	offapi cppuhelper expat NULL
  ax	sax										usr1	-	all	ax_mkout NULL
  ax	sax\unotypes							nmake	-	all	ax_unotypes NULL
  ax	sax\source\expatwrap					nmake	-	all	ax_expatwrap ax_unotypes NULL
--- 1,4 ----
! ax	sax	:	offapi cppuhelper NULL
  ax	sax										usr1	-	all	ax_mkout NULL
  ax	sax\unotypes							nmake	-	all	ax_unotypes NULL
  ax	sax\source\expatwrap					nmake	-	all	ax_expatwrap ax_unotypes NULL
*** ./scp2/prj/build.lst.osr6	Fri Aug  5 10:26:02 2005
--- ./scp2/prj/build.lst	Thu Oct 27 00:03:07 2005
***************
*** 1,4 ****
! cp    scp2    :    setup_native transex3 PYTHON:python icu NULL
  cp    scp2                        usr1     -    all    cp_mkout NULL
  cp    scp2\macros                 nmake    -    all    cp_langmacros NULL
  cp    scp2\source\activex         nmake    -    all    cp_activex cp_langmacros NULL
--- 1,4 ----
! cp    scp2    :    setup_native transex3 NULL
  cp    scp2                        usr1     -    all    cp_mkout NULL
  cp    scp2\macros                 nmake    -    all    cp_langmacros NULL
  cp    scp2\source\activex         nmake    -    all    cp_activex cp_langmacros NULL
*** ./shell/prj/build.lst.osr6	Thu Dec 16 03:17:42 2004
--- ./shell/prj/build.lst	Wed Oct 26 20:22:52 2005
***************
*** 1,4 ****
! sh    shell	: offuh rdbmaker tools sal expat transex3 NULL
  sh    shell\source\win32                           nmake   -   w   sh_win32 NULL
  sh    shell\source\win32\simplemail                nmake   -   w   sh_win32_simplemail NULL
  sh    shell\source\unix\exec                       nmake   -   u   sh_unix NULL
--- 1,4 ----
! sh    shell	: offuh rdbmaker tools sal transex3 NULL
  sh    shell\source\win32                           nmake   -   w   sh_win32 NULL
  sh    shell\source\win32\simplemail                nmake   -   w   sh_win32_simplemail NULL
  sh    shell\source\unix\exec                       nmake   -   u   sh_unix NULL
*** ./solenv/inc/startup/UNIX/macros.mk.osr6	Mon Apr 11 01:59:25 2005
--- ./solenv/inc/startup/UNIX/macros.mk	Wed Oct 26 20:22:52 2005
***************
*** 1,7 ****
  # This file is used for all $(OS)==UNX during startup
  #
  
! SHELL *:= /usr/bin/csh
  SHELLFLAGS	 *:=
  GROUPSHELL *:= $(SHELL)
  
--- 1,7 ----
  # This file is used for all $(OS)==UNX during startup
  #
  
! SHELL *:= /usr/bin/tcsh
  SHELLFLAGS	 *:=
  GROUPSHELL *:= $(SHELL)
  
*** ./solenv/inc/startup/UNIX/sysvr1/macros.mk.osr6	Wed Oct 26 20:22:52 2005
--- ./solenv/inc/startup/UNIX/sysvr1/macros.mk	Wed Oct 26 20:22:52 2005
***************
*** 0 ****
--- 1,6 ----
+ # We hang off the standard sysvr3'isms
+ #
+ __.incdir !:= $(INCFILENAME:d:d:d:d)/sysvr3
+ 
+ # Process environment-specific refinements, if any.
+ .INCLUDE .SETDIR=$(__.incdir) .NOINFER .IGNORE : macros.mk
*** ./solenv/inc/startup/UNIX/sysvr3/gnu/macros.mk.osr6	Wed Oct 26 20:22:52 2005
--- ./solenv/inc/startup/UNIX/sysvr3/gnu/macros.mk	Wed Oct 26 20:22:52 2005
***************
*** 0 ****
--- 1,12 ----
+ # System V R3 GCC compiler specific macro definitions...
+ #
+ 
+ # Common tool renamings
+ CC    *:= gcc
+ "C++" *:= g++
+ AS    *:= gas
+ YACC  *:= bison
+ LEX   *:= flex
+ 
+ # Common flag settings
+ ARFLAGS *= -rvs
*** ./solenv/inc/startup/UNIX/sysvr3/macros.mk.osr6	Wed Oct 26 20:22:52 2005
--- ./solenv/inc/startup/UNIX/sysvr3/macros.mk	Wed Oct 26 20:22:52 2005
***************
*** 0 ****
--- 1,7 ----
+ # Define additional UNIX specific macros.
+ #
+ 
+ # Process environment-specific refinements, if any.
+ .IF $(OSENVIRONMENT)
+    .INCLUDE .NOINFER .IGNORE : $(INCFILENAME:d)$(OSENVIRONMENT)$/macros.mk
+ .ENDIF
*** ./solenv/inc/startup/UNIX/sysvr4/macros.mk.osr6	Wed Oct 26 20:22:52 2005
--- ./solenv/inc/startup/UNIX/sysvr4/macros.mk	Wed Oct 26 20:22:52 2005
***************
*** 0 ****
--- 1,6 ----
+ # We hang off the standard sysvr3'isms
+ #
+ __.incdir !:= $(INCFILENAME:d:d:d:d)/sysvr3
+ 
+ # Process environment-specific refinements, if any.
+ .INCLUDE .SETDIR=$(__.incdir) .NOINFER .IGNORE : macros.mk
*** ./solenv/inc/startup/UNIX/recipes.mk.osr6	Wed Oct 26 20:22:52 2005
--- ./solenv/inc/startup/UNIX/recipes.mk	Wed Oct 26 20:22:52 2005
***************
*** 0 ****
--- 1,15 ----
+ # Define additional UNIX specific build recipes.
+ #
+ 
+ # Define additional build targets.
+ %$E : %.sh; cp $< $@; chmod 0777 $@
+ 
+ # This rule tells how to make a non-suffixed executable from its single
+ # file source.
+ % : %$O; $(CC) $(LDFLAGS) -o $@ $< $(LDLIBS)
+ 
+ # This rule tells how to make a.out from it's immediate list of prerequisites.
+ %.out :; $(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)
+ 
+ # Process release-specific refinements, if any.
+ .INCLUDE .NOINFER .IGNORE : $(INCFILENAME:d)$(OSRELEASE)$/recipes.mk
*** ./solenv/inc/startup/SCO/macros.mk.osr6	Wed Oct 26 20:22:52 2005
--- ./solenv/inc/startup/SCO/macros.mk	Wed Oct 26 20:22:52 2005
***************
*** 0 ****
--- 1,2 ----
+ 
+ .INCLUDE .NOINFER .IGNORE : $(INCFILENAME:d:d:d)UNIX$/macros.mk
*** ./solenv/inc/unx.mk.osr6	Thu Sep  8 02:50:55 2005
--- ./solenv/inc/unx.mk	Wed Oct 26 20:22:52 2005
***************
*** 81,86 ****
--- 81,90 ----
  .INCLUDE : unxsogi.mk
  .ENDIF
  
+ .IF "$(COM)$(OS)$(CPU)" == "UDKSCOI"
+ .INCLUDE : unxscoudk.mk
+ .ENDIF
+ 
  .IF "$(COM)$(OS)$(CPU)" == "GCCSCOI"
  .INCLUDE : unxscoi.mk
  .ENDIF
*** ./solenv/inc/unxscoudk.mk.osr6	Wed Oct 26 20:22:52 2005
--- ./solenv/inc/unxscoudk.mk	Wed Oct 26 20:22:52 2005
***************
*** 0 ****
--- 1,196 ----
+ #*************************************************************************
+ #
+ #   $RCSfile: unxsoli4.mk,v $
+ #
+ #   $Revision: 1.2.18.2 $
+ #
+ #   last change: $Author: hr $ $Date: 2004/01/09 18:59:16 $
+ #
+ #   The Contents of this file are made available subject to the terms of
+ #   either of the following licenses
+ #
+ #          - GNU Lesser General Public License Version 2.1
+ #          - Sun Industry Standards Source License Version 1.1
+ #
+ #   Sun Microsystems Inc., October, 2000
+ #
+ #   GNU Lesser General Public License Version 2.1
+ #   =============================================
+ #   Copyright 2000 by Sun Microsystems, Inc.
+ #   901 San Antonio Road, Palo Alto, CA 94303, USA
+ #
+ #   This library is free software; you can redistribute it and/or
+ #   modify it under the terms of the GNU Lesser General Public
+ #   License version 2.1, as published by the Free Software Foundation.
+ #
+ #   This library is distributed in the hope that it will be useful,
+ #   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ #   Lesser General Public License for more details.
+ #
+ #   You should have received a copy of the GNU Lesser General Public
+ #   License along with this library; if not, write to the Free Software
+ #   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
+ #   MA  02111-1307  USA
+ #
+ #
+ #   Sun Industry Standards Source License Version 1.1
+ #   =================================================
+ #   The contents of this file are subject to the Sun Industry Standards
+ #   Source License Version 1.1 (the "License"); You may not use this file
+ #   except in compliance with the License. You may obtain a copy of the
+ #   License at http://www.openoffice.org/license.html.
+ #
+ #   Software provided under this License is provided on an "AS IS" basis,
+ #   WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
+ #   WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
+ #   MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
+ #   See the License for the specific provisions governing your rights and
+ #   obligations concerning the Software.
+ #
+ #   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
+ #
+ #   Copyright: 2000 by Sun Microsystems, Inc.
+ #
+ #   All Rights Reserved.
+ #
+ #   Contributor(s): _______________________________________
+ #
+ #
+ #
+ #*************************************************************************
+ 
+ 
+ ASM=/usr/ccs/bin/as
+ AFLAGS=-P -q
+ MAKEDEPEND=/usr/X11R6/bin/makedepend
+ 
+ CDEFS+=-D_PTHREADS -DSYSV -DSUN -DSUN4 -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -DSTLPORT_VERSION=400
+ 
+ SOLAR_JAVA*=TRUE
+ .IF "$(SOLAR_JAVA)"!=""
+ JAVADEF=-DSOLAR_JAVA
+ JAVAFLAGSDEBUG=-g
+ .IF "$(debug)"==""
+ JAVA_RUNTIME=-ljava
+ .ELSE
+ JAVA_RUNTIME=-ljava_g
+ .ENDIF
+ .ENDIF
+ 
+ CXX*=CC
+ CC*=cc
+ 
+ CFLAGS=$(PREENVCFLAGS) -c $(INCLUDE)
+ CFLAGSCC=
+ CFLAGSCXX=
+ 
+ # flags to enable build with symbols; required for crashdump feature
+ CFLAGSENABLESYMBOLS=
+ 
+ CFLAGSEXCEPTIONS=
+ CFLAGS_NO_EXCEPTIONS=
+ 
+ CFLAGSOBJGUIST=-KPIC
+ CFLAGSOBJCUIST=-KPIC
+ CFLAGSOBJGUIMT=-KPIC
+ CFLAGSOBJCUIMT=-KPIC
+ CFLAGSSLOGUIMT=-KPIC
+ CFLAGSSLOCUIMT=-KPIC
+ CFLAGSPROF=
+ CFLAGSDEBUG=
+ CFLAGSDBGUTIL=
+ CFLAGSOPT=
+ CFLAGSNOOPT=
+ CFLAGSOUTOBJ=-o
+ 
+ # Enable all warnings
+ CFLAGSWALL=+w2
+ # Set default warn level
+ CFLAGSDFLTWARN=
+ 
+ #STDOBJVCL=$(L)$/salmain.o
+ 
+ THREADLIB=
+ LINK=CC
+ 
+ # -z combreloc combines multiple relocation sections. 
+ # Reduces overhead on startup
+ # -norunpath prevents the compiler from recording his own libs in the runpath
+ LINKFLAGSRUNPATH*=
+ LINKFLAGS=
+ 
+ # -z text force fatal error if non PIC code is linked into shared library.
+ # Such code would be expensive on startup
+ LINKFLAGSSHLGUI=-G
+ LINKFLAGSSHLCUI=-G
+ 
+ # switches for dynamic and static linking
+ LINKFLAGSDEFS*=
+ STATIC		= -Wl,-Bstatic
+ DIRECT		= -Wl,-Bexport
+ DYNAMIC		= -Wl,-Bdynamic
+ 
+ LINKFLAGSAPPGUI+=$(DIRECT)
+ LINKFLAGSAPPCUI+=$(DIRECT)
+ LINKFLAGSSHLGUI+=$(DIRECT)
+ LINKFLAGSSHLCUI+=$(DIRECT)
+ 
+ LINKFLAGSTACK=
+ LINKFLAGSPROF=
+ LINKFLAGSDEBUG=
+ LINKFLAGSOPT=
+ LINKVERSIONMAPFLAG=-M
+ 
+ APPLINKSTATIC=$(STATIC)
+ APPLINKSHARED=$(DIRECT)
+ APP_LINKTYPE=
+ 
+ STDOBJGUI=
+ STDSLOGUI=
+ STDOBJCUI=
+ STDSLOCUI=
+ 
+ STDLIBGUIST=$(DYNAMIC) -lm
+ STDLIBCUIST=$(DYNAMIC) -lm
+ STDLIBGUIMT=$(DYNAMIC) -lm
+ STDLIBCUIMT=$(DYNAMIC) -lm
+ STDSHLGUIST=$(DYNAMIC) -lm -lc
+ STDSHLCUIST=$(DYNAMIC) -lm -lc
+ STDSHLGUIMT=$(DYNAMIC) -lm -lc
+ STDSHLCUIMT=$(DYNAMIC) -lm -lc
+ 
+ STDLIBGUIST+=-lX11
+ STDLIBGUIMT+=-lX11
+ STDSHLGUIST+=-lX11
+ STDSHLGUIMT+=-lX11
+ 
+ # @@@ interposer needed for -Bdirect @@@
+ # LIBSALCPPRT*=-z allextract -lsalcpprt -z defaultextract
+ LIBSALCPPRT=
+ 
+ LIBSTLPORT=$(DYNAMIC)
+ LIBSTLPORTST=$(STATIC) $(DYNAMIC)
+ 
+ 
+ LIBMGR=ar
+ LIBFLAGS=r 
+ 
+ IMPLIB=
+ IMPLIBFLAGS=
+ 
+ MAPSYM=
+ MAPSYMFLAGS=
+ 
+ RC=irc
+ RCFLAGS=-fo$@ $(RCFILES)
+ RCLINK=
+ RCLINKFLAGS=
+ RCSETVERSION=
+ 
+ DLLPOSTFIX=si
+ 
+ DLLPRE=lib
+ DLLPOST=.so
+ 
+ LDUMP=
